/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{vue,js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        'black': 'rgb(var(--v-theme-black))',
        'background': 'rgb(var(--v-theme-background))',
        'surface': 'rgb(var(--v-theme-surface))',
        'primary': 'rgb(var(--v-theme-primary))',
        'primary-hover': 'rgb(var(--v-theme-primaryHover))',
        'primary-active': 'rgb(var(--v-theme-primaryActive))',
        'primary-lighten-3': 'rgb(var(--v-theme-primaryLighten3))',
        'tooltip-background':'rgb(var(--v-theme-tooltipBackground))',
        'tooltip-text': 'rgb(var(--v-theme-tooltipText))',
        'accent': 'rgb(var(--v-theme-accent))',
        'secondary': 'rgb(var(--v-theme-secondary))',
        'on-surface-variant': 'rgb(var(--v-theme-onSurfaceVariant))',
        'success': 'rgb(var(--v-theme-success))',
        'info': 'rgb(var(--v-theme-info))',
        'warning': 'rgb(var(--v-theme-warning))',
        'grey': 'rgb(var(--v-theme-grey))',
        'error': 'rgb(var(--v-theme-error))',
        'neutral': 'rgb(var(--v-theme-neutral))',
        'training-orange': 'rgb(var(--v-theme-trainingOrange))',
        'training-orange-soft': 'rgb(var(--v-theme-trainingOrangeSoft))',
        'interview-blue-soft': 'rgb(var(--v-theme-interviewBlueSoft))',
        'fake-black': 'rgb(var(--v-theme-fakeBlack))',
        'dark-grey': 'rgb(var(--v-theme-darkGrey))',
        'middle-grey': 'rgb(var(--v-theme-middleGrey))',
        'light-grey': 'rgb(var(--v-theme-lightGrey))',
        'very-light-grey': 'rgb(var(--v-theme-veryLightGrey))',
        'positive-green': 'rgb(var(--v-theme-positiveGreen))',
        'medium-orange': 'rgb(var(--v-theme-mediumOrange))',
        'negative-red': 'rgb(var(--v-theme-negativeRed))',
        'transparent-positive-green': 'rgb(var(--v-theme-transparentPositiveGreen))',
        'transparent-medium-orange': 'rgb(var(--v-theme-transparentMediumOrange))',
        'transparent-negative-red': 'rgb(var(--v-theme-transparentNegativeRed))',
        'positive-green-opacity': 'rgb(var(--v-theme-positiveGreenOpacity))',
        'medium-orange-opacity': 'rgb(var(--v-theme-mediumOrangeOpacity))',
        'negative-red-opacity': 'rgb(var(--v-theme-negativeRedOpacity))',
        'positive-green-lighten2': 'rgb(var(--v-theme-positiveGreenLighten2))',
        'medium-orange-lighten2': 'rgb(var(--v-theme-mediumOrangeLighten2))',
        'negative-red-lighten2': 'rgb(var(--v-theme-negativeRedLighten2))',
        'lighten2': '#70ABEF',
        'lighten4-custom': '#F4FAFF',
      },
      boxShadow: {
        'medium': '0 2px 4px 0 rgba(0, 0, 0, 0.25)',
        'light-grey': '0px 2px 6px 0px rgba(16, 24, 40, 0.20)',
      }
    },
  },
  plugins: [],
}

